# $Revision: 1.119 $, $Date: 2010/02/03 17:32:33 $
#
# Conditional build:
%bcond_without	asmopt	# without assembler optimization for i586+
%bcond_with	pax	# synonym for the above (asm doesn't have non-exec stack attributes)
%bcond_without	tests
#
%ifnarch i586 i686 pentium3 pentium4 athlon
%undefine	with_asmopt
%endif
%if %{with pax} && %{with asmopt}
%undefine	with_asmopt
%endif

%if "%{pld_release}" == "ac"
# on 2.4 kernel i586 doesn't work either:
# open("/usr/lib/libcrypto.so.0.9.7", O_RDONLY) = 3
# ...
# mprotect...= -1 EINVAL (Invalid argument)
# mprotect...= -1 ENOMEM (Cannot allocate memory)
%ifarch i586
%undefine	with_asmopt
%endif
%endif
Summary:	Library for compression and decompression
Summary(de.UTF-8):	Library für die Komprimierung und Dekomprimierung
Summary(es.UTF-8):	Biblioteca para compresión y descompresión
Summary(fr.UTF-8):	Bibliothèque de compression et décompression
Summary(pl.UTF-8):	Biblioteka z podprogramami do kompresji i dekompresji
Summary(pt_BR.UTF-8):	Biblioteca para compressão e descompressão
Summary(ru.UTF-8):	Библиотека для компрессии и декомпрессии
Summary(tr.UTF-8):	Sıkıştırma işlemleri için kitaplık
Summary(uk.UTF-8):	Бібліотека для компресії та декомпресії
Name:		zlib
Version:	1.2.3.7
Release:	3
Patch0:		minizip-autotools.patch
Patch1:		define-off64_t
Patch2:		%{name}-gzflush.patch
License:	BSD
Group:		Libraries
Source0:	http://www.zlib.net/current/beta/%{name}-%{version}.tar.gz
# Source0-md5:	323e45f54f321116a34950e8fbf5b6e7
URL:		http://www.zlib.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpm >= 4.4.9-56
Obsoletes:	zlib1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The 'zlib' compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data. This version of the library supports only one
compression method (deflation) but other algorithms may be added later
and will have the same stream interface.

%description -l de.UTF-8
Die zlib-Komprimierungs-Library bietet speicherinterne Komprimierungs-
und Dekomprimierungsfunktionen, einschließlich Integritätsprüfungen
der unkomprimierten Daten. Diese Version der Library unterstützt nur
eine Komprimierungsmethode (Deflation), doch können weitere
Algorithmen nachträglich eingefügt werden und haben dann dieselbe
Oberfläche.

%description -l es.UTF-8
La biblioteca de compresión 'zlib' nos ofrece funciones de compresión
y descompresión en memoria, incluyendo chequeo de la integridad de
datos no comprimidos. Esta versión de la biblioteca soporta solamente
un método de compresión (deflación) pero otros algoritmos pueden ser
añadidos más tarde y tendrán la misma interface. Esta biblioteca se
usa por varios programas de sistema.

%description -l fr.UTF-8
La bibliothèque de compression «zlib» offre des fonctions de
compression et de décompression en mémoire, ainsi qu'une vérification
de l'intégrité des données décompressées. La version de cette
bibliothèque ne gère qu'une méthode de compression (deflation), mais
d'autres algorithmes peuvent être ajoutés plus tard et auront la même
interface.

%description -l pl.UTF-8
Biblioteka zlib udostępnia podprogramy do kompresji i dekompresji w
pamięci operacyjnej włącznie ze sprawdzaniem integralności w trakcie
dekompresji. Ta wersja biblioteki udostępnia tylko jedną metodę
kompresji o nazwie deflation niemniej inne algorytmy mogą być dodawane
udostępniając taki sam interfejs funkcji operujących na strumieniu
danych.

%description -l pt_BR.UTF-8
A biblioteca de compressão 'zlib' oferece funções de compressão e
descompressão em memória, incluindo checagem da integridade de dados
não comprimidos. Essa versão da biblioteca suporta somente um método
de compressão (deflação) mas outros algoritmos podem ser adicionados
mais tarde e terão a mesma interface. Essa biblioteca é usada por
vários programas de sistema.

%description -l ru.UTF-8
Библиотека компрессии zlib содержит функции компрессии и декомпрессии
в памяти, включаю проверку целостности декомпрессированных данных. Эта
версия поддерживает только один метод компрессии (deflation), но
впоследствии в нее могут быть добавлены и другие методы, и все они
будут использовать тот же потоковый интерфейс.

%description -l tr.UTF-8
zlib sıkıştırma kitaplığı bellekte sıkıştırma ve açma fonksiyonları
içermektedir. Bu sürüm yalnızca 'deflation' yöntemini
desteklemektedir. Ancak başka algoritmaların aynı arabirimle
erişilebilecek şekilde eklenme olasılığı vardır. Bu kitaplık bir dizi
sistem yazılımı tarafından kullanılmaktadır.

%description -l uk.UTF-8
Бібліотека компресії zlib містить функції компресії та декомпресії в
пам'яті з перевіркою цілості декомпресованих даних. Ця версія
підтримує тільки один метод компресії (deflation), але в майбутньому в
неї можуть бути додані і інші методи і всі вони будуть використовувати
той же самий потоковий інтерфейс.

%package devel
Summary:	Header files and libraries for zlib development
Summary(de.UTF-8):	Headerdateien und Libraries für zlib-Entwicklung
Summary(es.UTF-8):	Bibliotecas y archivos de inclusión para desarrollo zlib
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do zlib
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para desenvolvimento zlib
Summary(ru.UTF-8):	Хедеры и библиотеки для программирования с zlib
Summary(uk.UTF-8):	Хедери та бібліотеки для програмування з zlib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	zlib1-devel

%description devel
The 'zlib' compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data. This version of the library supports only one
compression method (deflation) but other algorithms may be added later
and will have the same stream interface.

This package contains the header files needed to develop programs that
use these zlib.

%description devel -l de.UTF-8
Die zlip-Komprimierungs-Library bietet speicherinterne Komprimierungs-
und Dekomprimierungsfunktionen, einschließlich Integritätsprüfungen
der dekomprimierten Daten. Diese Version der Library unterstützt nur
eine Komprimierungsmethode (Deflation), doch sind weitere Algorithmen
geplant, die dieselbe Art Oberfläche besitzen werden. Dieses Paket
enthält die Header-Dateien und Libraries, die zur Entwicklung von
Programmen benötigt werden, die diese zlib einsetzen.

%description devel -l es.UTF-8
La biblioteca de compresión zlib provee funciones de compresión y
descompresión en memoria, incluye chequeos de integridad para los
datos descomprimidos. Esta versión de la biblioteca soporta solamente
un método de compresión (deflation) pero otros algoritmos pueden ser
añadidos en el futuro y tendrán la misma interface stream. Este
paquete contiene los archivos de inclusión y bibliotecas necesarios al
desarrollo de programas que usan zlib.

%description devel -l fr.UTF-8
La bibliothèque de compression « zlib » offre des fonctions de
compression et de décompression en mémoire, ainsi qu'une vérification
de l'intégrité des données décompressées. La version de cette
bibliothèque ne gère qu'une méthode de compression (deflation), mais
d'autres algorithmes peuvent être ajoutés plus tard et auront la même
interface.

Ce paquetage contient les fichiers en-têtes et les bibliothèques
nécessaires au développement des programmes qui utilisent cette zlib.

%description devel -l pl.UTF-8
Biblioteka zlib udostępnia podprogramy do kompresji i dekompresji w
pamięci operacyjnej włącznie ze sprawdzaniem integralności w trakcie
dekompresjii. Ta wersja biblioteki udostępnia tylko jedną metodę
kompresjii o nazwie deflation niemniej inne algorytmy mogą być
dodawane udostępniając taki sam interfejs funkcji operujących na
strumieniu danych.

Pakiet ten zawiera pliki nagłowkowe i dokumentację potrzebną przy
tworzeniu własnych programów wykorzystujących zlib.

%description devel -l pt_BR.UTF-8
A biblioteca de compressão zlib provê funções de compressão e
descompressão em memória, incluindo checagens de integridade para os
dados descomprimidos. Esta versão da biblioteca suporta somente um
método de compressão (deflation) mas outros algoritmos podem ser
adicionados no futuro e terão a mesma interface stream.

Este pacote contém os arquivos de inclusão e bibliotecas necessários
ao desenvolvimento de programas que usam zlib.

%description devel -l ru.UTF-8
Библиотека компрессии zlib содержит функции компрессии и декомпрессии
в памяти, включаю проверку целостности декомпрессированных данных. Эта
версия поддерживает только один метод компрессии (deflation), но
впоследствии в нее могут быть добавлены и другие методы, и все они
будут использовать тот же потоковый интерфейс.

Этот пакет содержит хедеры и библиотеки, необходимые для написания
программ, использующих zlib.

%description devel -l tr.UTF-8
zlib sıkıştırma kitaplığı bellekte sıkıştırma ve açma fonksiyonları
içermektedir. Bu sürüm yalnızca 'deflation' yöntemini
desteklemektedir. Ancak başka algoritmaların aynı arabirimle
erişilebilecek şekilde eklenme olasılığı vardır.

Bu paket, zlib kitaplığını kullanarak program geliştirmek için gereken
statik kitaplıkları ve başlık dosyalarını içerir.

%description devel -l uk.UTF-8
Бібліотека компресії zlib містить функції компресії та декомпресії в
пам'яті з перевіркою цілості декомпресованих даних. Ця версія
підтримує тільки один метод компресії (deflation), але в майбутньому в
неї можуть бути додані і інші методи і всі вони будуть використовувати
той же самий потоковий інтерфейс.

Цей пакет містить хедери та бібліотеки, необхідні для написання
програм, що використовують zlib.

%package static
Summary:	Static library for zlib development
Summary(es.UTF-8):	Static libraries for zlib development
Summary(pl.UTF-8):	Biblioteka statyczna do zlib
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com a zlib
Summary(ru.UTF-8):	Статическая библиотека для программирования с zlib
Summary(uk.UTF-8):	Статична бібліотека для програмування з zlib
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
The 'zlib' compression library provides in-memory compression and
decompression functions, including integrity checks of the
uncompressed data. This version of the library supports only one
compression method (deflation) but other algorithms may be added later
and will have the same stream interface.

This package contains the header files and libraries needed to develop
programs that use these zlib.

%description static -l pl.UTF-8
Biblioteka zlib udostępnia podprogramy do kompresji i dekompresji w
pamięci operacyjnej włącznie ze sprawdzaniem integralności w trakcie
dekompresjii. Ta wersja biblioteki udostępnia tylko jedną metodę
kompresjii o nazwie deflation niemniej inne algirytmy mogą być
dodawane udostępniając taki sam interfejs funkcji operujących na
strumieniu danych.

Pakiet ten zawiera bibliotekę statyczną potrzebną przy tworzeniu
własnych programów wykorzystujących zlib.

%description static -l es.UTF-8
Static libraries for zlib development.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com a zlib.

%description static -l ru.UTF-8
Этот пакет содержит статическую библиотеку, необходимую для написания
программ, использующих zlib.

%description static -l uk.UTF-8
Цей пакет містить статичну бібліотеку, необхідну для написання
програм, що використовують zlib.

%package -n minizip
Summary:	Minizip manipulates files from a .zip archive
Group:		Libraries
URL:		http://www.winimage.com/zLibDll/minizip.html

%description  -n minizip
Minizip manipulates files from a .zip archive

%package -n minizip-devel
Summary:	Development files for the minizip library
Group:		Development/Libraries
Requires:	minizip = %{version}-%{release}

%description -n minizip-devel
This package contains the libraries and header files needed for
developing applications which use minizip.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0

%if %{with asmopt}
%ifarch i686 pentium3 pentium4 athlon
cp contrib/asm686/match.S .
%endif
%ifarch i586
cp contrib/asm586/match.S .
%endif
%endif

%build
CC="%{__cc}" \
CFLAGS="-D_REENTRANT %{rpmcppflags} %{rpmcflags} %{?with_asmopt:-DASMV}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}

%{__make} \
	%{?with_asmopt:OBJA=match.o}

cd contrib/minizip
%{__aclocal}
%{__libtoolize}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-static=no
# SMP flags are explicitly omitted due to a libtool/autoconf
# dependency race condition
%{__make} -j1

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install zutil.h $RPM_BUILD_ROOT%{_includedir}

%{__make} -C contrib/minizip install \
	DESTDIR=$RPM_BUILD_ROOT \

mv -f $RPM_BUILD_ROOT%{_libdir}/libz.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} && echo libz.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libz.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	-n minizip -p /sbin/ldconfig
%postun	-n minizip -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog FAQ README doc/algorithm.txt doc/txtvsbin.txt
%attr(755,root,root) /%{_lib}/libz.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libz.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libz.so
%{_includedir}/zconf.h
%{_includedir}/zlib.h
%{_includedir}/zutil.h
%{_pkgconfigdir}/zlib.pc
%{_mandir}/man3/zlib.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libz.a

%files -n minizip
%defattr(644,root,root,755)
%doc contrib/minizip/MiniZip64_Changes.txt
%doc contrib/minizip/MiniZip64_info.txt
%attr(755,root,root) %{_bindir}/miniunzip
%attr(755,root,root) %{_bindir}/minizip
%attr(755,root,root) %{_libdir}/libminizip.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libminizip.so.0

%files -n minizip-devel
%defattr(644,root,root,755)
%{_libdir}/libminizip.la
%{_libdir}/libminizip.so
%{_pkgconfigdir}/minizip.pc
%{_includedir}/minizip

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: zlib.spec,v $
Revision 1.119  2010/02/03 17:32:33  arekm
- fortify when building

Revision 1.118  2010/02/03 17:18:00  arekm
- rel 3; gzflush segfault fix

Revision 1.117  2010/02/03 01:43:57  glen
- release 2

Revision 1.116  2010/02/03 01:41:21  glen
- up to 1.2.3.7

Revision 1.115  2009/10/22 23:31:13  sls
- BR: ac/am/lt for minizip

Revision 1.114  2009/10/09 17:37:29  arekm
- rel 4; off64_t fix from debian

Revision 1.113  2009/10/09 17:33:27  arekm
- rel 3; minizip malloc check

Revision 1.112  2009/10/08 23:25:18  emes
- reverted last commit

Revision 1.111  2009/10/08 23:19:53  emes
- conditional build with zlib
- zlib disabled on x86_64 due to pointer bug

Revision 1.110  2009/09/20 10:58:28  glen
- add minizip from contrib; rel 2

Revision 1.109  2009/09/09 15:39:08  qboosh
- updated to 1.2.3.3 (almost whole world has LFS-capable zlib, why not PLD?)
- asmopt patch replaced by make argument
- spec cleaned up and simplified

Revision 1.108  2009/02/27 11:25:14  glen
- release 8

Revision 1.107  2009/01/25 15:04:02  glen
- asmopt off of ac-i586 (more info from blues)

Revision 1.106  2009/01/23 13:17:08  glen
- cosmetic

Revision 1.105  2009/01/22 22:33:40  glen
- release 6

Revision 1.104  2009/01/22 22:30:55  glen
- adapter

Revision 1.103  2008/09/19 18:20:26  patrys
- rel 5

Revision 1.102  2007/02/12 22:09:26  glen
- tabs in preamble

Revision 1.101  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.100  2007/02/07 07:26:59  arekm
- rel 4; rebuild

Revision 1.99  2007/01/26 12:26:27  tommat
- set LDSHARED pass to configure to enable sparc multilib building

Revision 1.98  2005/07/31 18:03:53  hawk
- release 3 (2 went to Ra)

Revision 1.97  2005/07/22 08:23:21  qboosh
- updated to 1.2.3 (fixes CAN-2005-1849)
- removed obsolete inftrees patch (CAN-2005-2096 fixed already in sources)

Revision 1.96  2005/07/16 06:43:17  pluto
- release 4 for Th.

Revision 1.95  2005/07/08 09:50:00  qboosh
- unified

Revision 1.94  2005/07/08 09:48:24  qboosh
- apply inftrees patch not only on i586/i686/athlon
- added pentium4 to asmopt archs
- release 3

Revision 1.93  2005/07/06 18:20:56  glen
- add patch from gentoo to fix CAN-2005-2096
- rel 2; STBR

Revision 1.92  2005/07/06 16:28:56  glen
- TODO security

Revision 1.91  2005/05/11 13:23:57  qboosh
- more general if

Revision 1.90  2005/03/21 18:14:25  mmazur
- rel 2 for th

Revision 1.89  2004/11/02 20:56:35  qboosh
- removed obsolete infsec patch, it's sufficient to fix CAN-2004-0797 once ;)

Revision 1.88  2004/11/02 18:01:30  pluto
- updated to 1.2.2 (CAN-2004-0797, VU#238678).
- url updated.
- release 1.

Revision 1.87  2004/10/30 12:17:48  paladine
- spaces->tabs

Revision 1.86  2004/10/12 20:34:41  mmazur
- rel 3 for th

Revision 1.85  2004/08/29 18:15:44  qboosh
- added infsec patch (CAN-2004-0797 fix) -
   (different issue than inftrees bug fixed in zlib 1.2.1.1)
- release 2

Revision 1.84  2004/08/27 22:14:20  pluto
- ops, TODO outdated.

Revision 1.83  2004/08/27 22:11:57  pluto
- updated to 1.2.1.1 (security update).
  # inflate fix.

Revision 1.82  2004/06/18 19:14:01  pluto
- %install fixed for sparc64.

Revision 1.81  2004/04/21 21:04:46  yogib
- typo

Revision 1.80  2004/03/19 07:55:22  pluto
- PaX bcond. It turns off asm (i586+) optimizations when the kernel
             uses PaX because asm opt. requires executable stack.
  (more info about PaX:
   http://www.linux-magazine.com/issue/40/PaX_Memory_Protection.pdf)

Revision 1.79  2004/02/26 12:25:36  pluto
- cflags,cc reverted.

Revision 1.78  2004/02/26 04:09:23  pluto
- cflags: one more fix (autodetect -DUSE_MMAP).

Revision 1.77  2004/02/26 04:04:04  pluto
- fixed cflags.

Revision 1.76  2004/02/26 01:47:51  pluto
- strict deps, pentium3 fix.

Revision 1.75  2004/01/02 18:19:08  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.74  2003/12/18 16:53:52  jajcus
- amd64 (/lib/ changed to /%{_lib}/) fixes

Revision 1.73  2003/11/26 18:01:08  qboosh
- didn't explode - release 1

Revision 1.72  2003/11/25 23:17:31  qboosh
- md5

Revision 1.71  2003/11/25 23:16:27  qboosh
- updated to 1.2.1
- updated asmopt patch, removed obsolete sharedlib,gzprintf_sec patches
- builds, release 0.1 for testing

Revision 1.70  2003/08/28 08:20:34  ankry
- cosmetics

Revision 1.69  2003/08/23 20:37:52  mmazur
- for ac: bzip2 rel6; zlib rel7

Revision 1.68  2003/05/25 11:01:49  malekith
- massive attack, adding Source-md5

Revision 1.67  2003/05/25 06:28:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.66  2003/03/06 16:58:58  blues
- release 6 - security fixes for gzprintf() function - STBR to Ra updates
  general.

Revision 1.65  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.64  2002/10/25 12:16:41  qboosh
- use absolute symlinks between directories; release 5

Revision 1.63  2002/06/02 10:44:41  kloczek
- release 4: use new doc.

Revision 1.62  2002/04/13 06:07:38  kloczek
- release 2.

Revision 1.61  2002/03/13 14:59:58  wiget
- use proper CC

Revision 1.60  2002/03/12 16:07:08  kloczek
- merge translations from KSI.

Revision 1.59  2002/03/12 12:04:51  jack
- Updated to 1.1.4

Revision 1.58  2002/03/11 20:39:57  misiek
- SECURITY (UPDATE IMMEDIATELY)
- http://www.linuxsecurity.com/articles/security_sources_article-4582.html
- release 30

Revision 1.57  2002/03/05 16:13:30  marcus
- removed uclibc options and deps
- rel.29.

Revision 1.56  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:30:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/26 13:18:50  filon
- updated for athlon
- release 28

Revision 1.53  2002/01/25 22:46:31  kloczek
- zlib1{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.52  2002/01/25 18:52:31  filon
- on 686 use 686 optiziations (was 586..)
- release 27

Revision 1.51  2002/01/23 16:26:23  malekith
- added en and pl descriptions for embed-devel

Revision 1.50  2002/01/23 16:23:40  malekith
- devel-embed subpackge added (needed for openssh)
- rel 26

Revision 1.49  2002/01/18 02:15:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.48  2001/11/04 08:29:19  ankry
- updated source URL (302 Object moved)

Revision 1.47  2001/11/03 23:27:36  blues
- URL updated

Revision 1.46  2001/09/14 02:28:51  kloczek
- merge translations from CNV.

Revision 1.45  2001/09/13 10:15:38  filon
- release 25

Revision 1.44  2001/09/13 10:12:30  filon
- with_asmopt is default
- conditional without_asmopt
- small fixes
- wanted to remove conditional Patch file, but saq was first

Revision 1.43  2001/09/13 08:06:49  saq
- make Patch1: unconditional (builder -g wouldn't fetch it). Don't worry,
  it's applied on _with_asmopt condition
- adapterized

Revision 1.42  2001/09/13 07:18:06  filon
- added cond _with_asmopt, which turns on assbmler code optimized for i[56]86
- and patch asmopt.patch for Makefile.in

Revision 1.41  2001/05/05 17:02:24  kloczek
- release 24.

Revision 1.40  2001/04/30 16:05:33  kloczek
- added using %{rpmcflags} macro.

Revision 1.39  2001/02/25 05:08:58  kloczek
- release 23.

Revision 1.38  2001/01/25 20:03:52  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.37  2000/12/23 00:48:47  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.36  2000/12/21 20:42:43  qboosh
- fixed zlib.so symlink so build doesn't require zlib-1.1.3 already installed

Revision 1.35  2000/12/16 14:08:18  mkochano
- Release 18.
- libz.so REALLY properly linked now. Please test your chaneges before
  commiting, such bugs are real PITA.

Revision 1.34  2000/12/14 16:34:31  baggins
- release 17
- properly link libz.so

Revision 1.33  2000/12/12 15:49:32  baggins
- typo

Revision 1.32  2000/12/12 15:44:20  baggins
- release 16
- moved shared lib to /lib (for modprobe/insmod)

Revision 1.31  2000/11/29 04:24:26  kloczek
- bump release to 15 (for allow upgrade from RH 7).

Revision 1.30  2000/10/12 00:13:27  kloczek
- release 13; use new rpm automation.

Revision 1.29  2000/06/19 06:56:02  kloczek
- release 11.

Revision 1.28  2000/06/09 07:24:24  kloczek
- added using %{__make} macro.

Revision 1.27  2000/05/21 16:53:31  kloczek
- spec adapterized.

Revision 1.26  2000/04/17 06:51:03  kloczek
- spec adapteized.

Revision 1.25  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.24  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.23  1999/08/31 22:22:01  kloczek
- release 10.

Revision 1.22  1999/07/29 13:40:48  misiek
- missing word devel

Revision 1.21  1999/07/12 23:06:29  kloczek
- added using CVS keywords in %changelog (for automating them).
